package it.integry.integrywmsnative.view.dialogs.choose_arts_from_mtbcolr_list;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.model.MtbColr;

public class DialogChooseArtsFromMtbColrListItemModel {

    private MtbColr mtbColr;
    private final BindableBoolean checked = new BindableBoolean(false);
    private final BindableBoolean hidden = new BindableBoolean(false);

    public MtbColr getMtbColr() {
        return mtbColr;
    }

    public DialogChooseArtsFromMtbColrListItemModel setMtbColr(MtbColr mtbColr) {
        this.mtbColr = mtbColr;
        return this;
    }

    public BindableBoolean getChecked() {
        return checked;
    }

    public boolean isHidden() {
        return hidden.get();
    }

    public DialogChooseArtsFromMtbColrListItemModel setHidden(boolean hidden) {
        this.hidden.set(hidden);
        return this;
    }

    public BindableBoolean getHidden() {
        return hidden;
    }
}
